commit:     a5ccaf3a255ec63fee6e7b621f022ecc16a03fb6
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 18 09:02:59 2017 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Jun 18 09:02:59 2017 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=a5ccaf3a

app-text/kbibtex: Fix HOMEPAGE, add pkg_postinst info

Package-Manager: Portage-2.3.5, Repoman-2.3.1

 app-text/kbibtex/kbibtex-9999.ebuild | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/app-text/kbibtex/kbibtex-9999.ebuild 
b/app-text/kbibtex/kbibtex-9999.ebuild
index 0cefb40342..2fda117464 100644
--- a/app-text/kbibtex/kbibtex-9999.ebuild
+++ b/app-text/kbibtex/kbibtex-9999.ebuild
@@ -8,7 +8,7 @@ KDE_TEST="true"
 inherit kde5
 
 DESCRIPTION="BibTeX editor to edit bibliographies used with LaTeX"
-HOMEPAGE="http://home.gna.org/kbibtex/";
+HOMEPAGE="https://userbase.kde.org/KBibTeX";
 if [[ ${KDE_BUILD_TYPE} != live ]]; then
        SRC_URI="mirror://kde/stable/KBibTeX/${P}.tar.xz"
        KEYWORDS="~amd64 ~x86"
@@ -77,3 +77,11 @@ src_configure() {
 
        kde5_src_configure
 }
+
+pkg_postinst() {
+       kde5_pkg_postinst
+
+       if ! has_version "kde-apps/okular:${SLOT}" ; then
+               elog "For PDF or PostScript document preview support, please 
install kde-apps/okular:${SLOT}"
+       fi
+}

Reply via email to